Subject: [apps-discuss] APPSDIR review of draft-ietf-avtcore-monarch-13

From: Salvatore Loreto <[email-masked]>
Date: Mon, 28 May 2012 13:56:07 +0300

I have been selected as the Applications Area Directorate reviewer for 
this draft
(for background on appsdir, please see 
http://trac.tools.ietf.org/area/app/trac/wiki/ApplicationsAreaDirectorate).

Please resolve these comments along with any other Last Call comments 
you may receive.
Please wait for direction from your document shepherd or AD before 
posting a new version of the draft.

Document:  draft-ietf-avtcore-monarch-13
Title:  Monitoring Architecture for RTP
Reviewer:  Salvatore Loreto
Review Date:  2012-05-28
IESG Telechat Date:

Summary:
I have read and reviewed this draft.
The draft is almost ready for publication as Informational,
but it has some minor issues (detailed below) that should be addressed.

Major issues: 0
Minor issues: 2
Nits issues:    4

Major Issues:
-----------

Minor Issues:
-----------

Section 2
the Interval, Cumulative and Sampled metric definitions are not clear 
(at least to me).

Section 3.1

- at the end of the section, in the second to last sentence RFC5760 
should be a real reference: i.e. it should also appear in the reference 
section.

Nits:
----
Section 2. Terminology

       - Application level metrics

      *

        s/ususally/usually

        - Composed metrics

      *

        An example is a metric calculated
               based on derived metrics that have been measure

                 "derived metrics" : perhaps it was meant "direct 
metric" ! anyway the all sentence should be clarified

Section 3.1

The "or" in the second list of bullets should be removed, the 
introduction should make clear that the entries are mutually exclusive.

best regards
/Sal

-- 
Salvatore Loreto, PhD
www.sloreto.com

---

From: Qin Wu <[email-masked]>
Date: Tue, 29 May 2012 09:19:50 +0800

Hi,Salvatore:
Thank for your valuable review. Please see my replies inline.

Regards!
-Qin
  ----- Original Message ----- 
  From: Salvatore Loreto 
  To: [email-masked] ; [email-masked] 
  Sent: Monday, May 28, 2012 6:56 PM
  Subject: APPSDIR review of draft-ietf-avtcore-monarch-13

  I have been selected as the Applications Area Directorate reviewer for this draft
  (for background on appsdir, please see  http://trac.tools.ietf.org/area/app/trac/wiki/ApplicationsAreaDirectorate).

  Please resolve these comments along with any other Last Call comments you may receive.
  Please wait for direction from your document shepherd or AD before posting a new version of the draft.

  Summary:

  Major issues: 0 
  Minor issues: 2
  Nits issues:    4

  Major Issues:
  -----------

  Minor Issues:
  -----------

  Section 2
  the Interval, Cumulative and Sampled metric definitions are not clear (at least to me).

[Qin]: Agree. We fixed this issue on the list. Pleas see the discussion below:
http://www.ietf.org/mail-archive/web/avt/current/msg15336.html
http://www.ietf.org/mail-archive/web/avt/current/msg15332.html

Section 3.1

- at the end of the section, in the second to last sentence RFC5760 should be a real reference: i.e. it should also appear in the reference section.

[Qin]: Agree and will fix this.

Nits:
----
Section 2. Terminology

  - Application level metricsa.. s/ususally/usually[Qin]: Okay.Thanks.   - Composed metricsa.. An example is a metric calculated
      based on derived metrics that have been measure                "derived metrics" : perhaps it was meant "direct metric" ! anyway the all sentence should be clarified

[Qin]: Your are right. My proposed change is:
NEW TEXT:
"
   Composed metrics

      Metrics that are not measured directly but rather are derived by algorithmically 
      combining one or more measured metrics.  An example is a metric derived based on 
     direct metrics that have been measured.
"

  Section 3.1

  The "or" in the second list of bullets should be removed, the introduction should make clear that the entries are mutually exclusive.

[Qin]: Okay.

  best regards
  /Sal

-- 
Salvatore Loreto, PhD
www.sloreto.com